<?php

/**
 * Class AgeGroupModel Modelo de la Clase AgeGroup
 */
class AgeGroupModel extends CI_Model


{
    const TABLE_NAME = 'GrupoEdad';

    /**
     * AgeGroupModel constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->load->database();
    }


    /**
     *
     * @return AgeGroup [] Array con los grupos de edad que hay registrados en la BBDD
     */
    public function getAgeGroupTypes() {
        $sql = 'SELECT GE.* FROM GrupoEdad GE';
        $query =  $this -> db -> query($sql);
        return $query -> result();
    }


}